B.A.R.G.A.M.E. v2.0 El Farol Bar Problem Implementation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Defines
Public Member Functions | Protected Member Functions | Protected Attributes
BARGAME::Form1 Class Reference

List of all members.

## Public Member Functions
| Form1 ()
| Form1 Constructor.
| ~Form1 ()
| Form1 Destructor.
## Protected Member Functions
System::Void | button1_Click (System::Object^ sender, System::EventArgs^ e)
| Simulation Button.
System::Void | radioButton1_CheckedChanged (System::Object^ sender, System::EventArgs^ e)
| Percent Based Radio Button.
System::Void | radioButton2_CheckedChanged (System::Object^ sender, System::EventArgs^ e)
| Static Based Radio Button.
System::Void | textBox1_Validating (System::Object^ sender, System::ComponentModel::CancelEventArgs^ e)
| Number of Agents Error Provider.
System::Void | textBox3_Validating (System::Object^ sender, System::ComponentModel::CancelEventArgs^ e)
| Number of Bars Error Provider.
System::Void | textBox5_Validating (System::Object^ sender, System::ComponentModel::CancelEventArgs^ e)
| Percent Capacity Error Provider.
System::Void | textBox6_Validating (System::Object^ sender, System::ComponentModel::CancelEventArgs^ e)
| Static Capacity Error Provider.
System::Void | textBox4_Validating (System::Object^ sender, System::ComponentModel::CancelEventArgs^ e)
| Group Size Error Provider.
System::Void | textBox7_Validating (System::Object^ sender, System::ComponentModel::CancelEventArgs^ e)
| Alpha Error Provider.
System::Void | textBox2_Validating (System::Object^ sender, System::ComponentModel::CancelEventArgs^ e)
| Average Age Error Provider.
System::Void | checkBox3_CheckedChanged_1 (System::Object^ sender, System::EventArgs^ e)
| Groups Check Box.
System::Void | checkBox2_CheckedChanged (System::Object^ sender, System::EventArgs^ e)
| Score Dropping Check Box.
System::Void | checkBox1_CheckedChanged_1 (System::Object^ sender, System::EventArgs^ e)
| Mortality Check Box.
## Protected Attributes
int * | percentbarcap1
| Array which holds percent based capacities.
int * | staticbarcap1
| Array which holds static based capacities.
int | grpsize
| Integer which holds group size.
int | avgage
| Integer which holds average age.
int | alpha
| Integer which holds alpha value.
Form^ | form2
| Form pointer for Form2.
double | numagents
| Double which holds number of agents.
double | numbars
| Double which holds number of bars.

## Constructor & Destructor Documentation

BARGAME::Form1::Form1 | ( |  | ) |

Form1 Constructor.

Description: Initializes the components of Form1 and private variables with default values.

BARGAME::Form1::~Form1 | ( |  | ) |

Form1 Destructor.

Description: Deletes components of Form1.

## Member Function Documentation

System::Void BARGAME::Form1::button1_Click | ( | System::Object^ | sender,
|  | System::EventArgs^ | e
| ) |  | `[protected]`

Simulation Button.

Description: Button that retrieves user input data and calls Form2's constructor with data.

Precondition:
  User input data is set and no errors are found.

Postcondition:
  Form2 and backend is initialized and new window pops up.

System::Void BARGAME::Form1::checkBox1_CheckedChanged_1 | ( | System::Object^ | sender,
|  | System::EventArgs^ | e
| ) |  | `[protected]`

Mortality Check Box.

Description: Check button that enables corresponding input text box to be enabled/disabled and lets simulation button know if this data should be sent.

System::Void BARGAME::Form1::checkBox2_CheckedChanged | ( | System::Object^ | sender,
|  | System::EventArgs^ | e
| ) |  | `[protected]`

Score Dropping Check Box.

Description: Check button that enables corresponding input text box to be enabled/disabled and lets simulation button know if this data should be sent

System::Void BARGAME::Form1::checkBox3_CheckedChanged_1 | ( | System::Object^ | sender,
|  | System::EventArgs^ | e
| ) |  | `[protected]`

Groups Check Box.

Description: Check button that enables corresponding input text box to be enabled/disabled and lets simulation button know if this data should be sent.

System::Void BARGAME::Form1::radioButton1_CheckedChanged | ( | System::Object^ | sender,
|  | System::EventArgs^ | e
| ) |  | `[protected]`

Percent Based Radio Button.

Description: Radio button that enables corresponding input text box to be enabled/disabled and lets simulation button know if this data should be sent.

System::Void BARGAME::Form1::radioButton2_CheckedChanged | ( | System::Object^ | sender,
|  | System::EventArgs^ | e
| ) |  | `[protected]`

Static Based Radio Button.

Description: Radio button that enables corresponding input text box to be enabled/disabled and lets simulation button know if this data should be sent.

System::Void BARGAME::Form1::textBox1_Validating | ( | System::Object^ | sender,
|  | System::ComponentModel::CancelEventArgs^ | e
| ) |  | `[protected]`

Number of Agents Error Provider.

Description: Checks inputted data against pre-set rules. If inputted data passes, no error is displayed and simulation button is allowed to be enabled given if other error checks pass. If inputted data fails, a red circle is displayed near text box with description of error and simulation button is disabled.

Precondition:
  Data is inputted in text box.

Postcondition:
  Simulation button is allowed to be enabled.

System::Void BARGAME::Form1::textBox2_Validating | ( | System::Object^ | sender,
|  | System::ComponentModel::CancelEventArgs^ | e
| ) |  | `[protected]`

Average Age Error Provider.

Description: Checks inputted data against pre-set rules. If inputted data passes, no error is displayed and simulation button is allowed to be enabled given if other error checks pass. If inputted data fails, a red circle is displayed near text box with description of error and simulation button is disabled.

Precondition:
  Data is inputted in text box.

Postcondition:
  Simulation button is allowed to be enabled.

System::Void BARGAME::Form1::textBox3_Validating | ( | System::Object^ | sender,
|  | System::ComponentModel::CancelEventArgs^ | e
| ) |  | `[protected]`

Number of Bars Error Provider.

Description: Checks inputted data against pre-set rules. If inputted data passes, no error is displayed and simulation button is allowed to be enabled given if other error checks pass. If inputted data fails, a red circle is displayed near text box with description of error and simulation button is disabled.

Precondition:
  Data is inputted in text box.

Postcondition:
  Simulation button is allowed to be enabled.

System::Void BARGAME::Form1::textBox4_Validating | ( | System::Object^ | sender,
|  | System::ComponentModel::CancelEventArgs^ | e
| ) |  | `[protected]`

Group Size Error Provider.

Description: Checks inputted data against pre-set rules. If inputted data passes, no error is displayed and simulation button is allowed to be enabled given if other error checks pass. If inputted data fails, a red circle is displayed near text box with description of error and simulation button is disabled.

Precondition:
  Data is inputted in text box.

Postcondition:
  Simulation button is allowed to be enabled.

System::Void BARGAME::Form1::textBox5_Validating | ( | System::Object^ | sender,
|  | System::ComponentModel::CancelEventArgs^ | e
| ) |  | `[protected]`

Percent Capacity Error Provider.

Description: Checks inputted data against pre-set rules. If inputted data passes, no error is displayed and simulation button is allowed to be enabled given if other error checks pass. If inputted data fails, a red circle is displayed near text box with description of error and simulation button is disabled.

Precondition:
  Data is inputted in text box.

Postcondition:
  Simulation button is allowed to be enabled.

System::Void BARGAME::Form1::textBox6_Validating | ( | System::Object^ | sender,
|  | System::ComponentModel::CancelEventArgs^ | e
| ) |  | `[protected]`

Static Capacity Error Provider.

Description: First tokenizes, then checks inputted data against pre-set rules. If inputted data passes, no error is displayed and simulation button is allowed to be enabled given if other error checks pass. If inputted data fails, a red circle is displayed near text box with description of error and simulation button is disabled.

Precondition:
  Data is inputted in text box.

Postcondition:
  Simulation button is allowed to be enabled.

System::Void BARGAME::Form1::textBox7_Validating | ( | System::Object^ | sender,
|  | System::ComponentModel::CancelEventArgs^ | e
| ) |  | `[protected]`

Alpha Error Provider.

Description: Checks inputted data against pre-set rules. If inputted data passes, no error is displayed and simulation button is allowed to be enabled given if other error checks pass. If inputted data fails, a red circle is displayed near text box with description of error and simulation button is disabled.

Precondition:
  Data is inputted in text box.

Postcondition:
  Simulation button is allowed to be enabled.

## Member Data Documentation

int BARGAME::Form1::alpha`[protected]`

Integer which holds alpha value.

int BARGAME::Form1::avgage`[protected]`

Integer which holds average age.

Form ^ BARGAME::Form1::form2`[protected]`

Form pointer for Form2.

int BARGAME::Form1::grpsize`[protected]`

Integer which holds group size.

double BARGAME::Form1::numagents`[protected]`

Double which holds number of agents.

double BARGAME::Form1::numbars`[protected]`

Double which holds number of bars.

int* BARGAME::Form1::percentbarcap1`[protected]`

Array which holds percent based capacities.

int* BARGAME::Form1::staticbarcap1`[protected]`

Array which holds static based capacities.

The documentation for this class was generated from the following file:

- Doxygen Specific Source Code/Form1.h